Bug 236695 - sysutils/syslog-ng313: fix build with GCC-based architectures
Summary: sysutils/syslog-ng313: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-21 08:27 UTC by Piotr Kubaj
Modified: 2019-04-05 19:35 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (cy)


Attachments
patch (543 bytes, patch)
2019-03-21 08:27 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-03-21 08:27:48 UTC
Created attachment 203026 [details]
patch

This port needs USES=compiler:c11 to compile on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Cy Schubert freebsd_committer 2019-03-23 19:11:00 UTC
Why only syslog-ng313?

Have you tried a newer syslog-ng? This port is deprecated.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-04-03 04:59:46 UTC
(In reply to Cy Schubert from comment #1)

Although it's deprecated, we are still going to be seeing it in the errorlog results for months.  We have plenty of those as it is :-)
Comment 3 Cy Schubert freebsd_committer 2019-04-03 05:07:28 UTC
I'll put in a temporary BROKEN_FreeBSD12 fix for now. However discussing it with our upline, who actually provide the ports, we'll be accelerating the deprecation.
Comment 4 Cy Schubert freebsd_committer 2019-04-05 02:58:31 UTC
Testing the patch.
Comment 5 commit-hook freebsd_committer 2019-04-05 04:56:32 UTC
A commit references this bug:

Author: cy
Date: Fri Apr  5 04:56:16 UTC 2019
New revision: 497907
URL: https://svnweb.freebsd.org/changeset/ports/497907

Log:
  Fix build on gcc-based architectures.

  PR:		236695
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  MFH:		2019Q2

Changes:
  head/sysutils/syslog-ng310/Makefile
  head/sysutils/syslog-ng311/Makefile
  head/sysutils/syslog-ng312/Makefile
  head/sysutils/syslog-ng313/Makefile
  head/sysutils/syslog-ng314/Makefile
  head/sysutils/syslog-ng315/Makefile
  head/sysutils/syslog-ng317/Makefile
  head/sysutils/syslog-ng318/Makefile
  head/sysutils/syslog-ng319/Makefile
  head/sysutils/syslog-ng320/Makefile
  head/sysutils/syslog-ng39/Makefile
Comment 6 Cy Schubert freebsd_committer 2019-04-05 04:58:20 UTC
Committed. Thanks for the patch.
Comment 7 commit-hook freebsd_committer 2019-04-05 19:35:51 UTC
A commit references this bug:

Author: cy
Date: Fri Apr  5 19:35:09 UTC 2019
New revision: 497981
URL: https://svnweb.freebsd.org/changeset/ports/497981

Log:
  MFH: r497907

  Fix build on gcc-based architectures.

  PR:		236695
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by:	portmgr (joneum@)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/sysutils/syslog-ng310/Makefile
  branches/2019Q2/sysutils/syslog-ng311/Makefile
  branches/2019Q2/sysutils/syslog-ng312/Makefile
  branches/2019Q2/sysutils/syslog-ng313/Makefile
  branches/2019Q2/sysutils/syslog-ng314/Makefile
  branches/2019Q2/sysutils/syslog-ng315/Makefile
  branches/2019Q2/sysutils/syslog-ng317/Makefile
  branches/2019Q2/sysutils/syslog-ng318/Makefile
  branches/2019Q2/sysutils/syslog-ng319/Makefile
  branches/2019Q2/sysutils/syslog-ng320/Makefile
  branches/2019Q2/sysutils/syslog-ng39/Makefile